Package com.sun.jna.platform.unix

## Class X11.Drawable

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.NativeLong
      - - com.sun.jna.platform.unix.X11.XID
        - - com.sun.jna.platform.unix.X11.Drawable

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`

Direct Known Subclasses:
  `X11.Pixmap`, `X11.Window`

Enclosing interface:
  X11

    public static class X11.Drawable
    extends X11.XID

See Also:
  Serialized Form

### Field Summary

Fields
`static X11.Drawable` `None`

### Fields inherited from class com.sun.jna.NativeLong

`SIZE`

### Constructor Summary

Constructors
`Drawable()`
`Drawable​(long id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `fromNative​(java.lang.Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.

### Methods inherited from class com.sun.jna.platform.unix.X11.XID

`isNone, toString`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### None

    public static final X11.Drawable None

### Constructor Detail

#### Drawable

    public Drawable()

#### Drawable

    public Drawable​(long id)

### Method Detail

#### fromNative

    public java.lang.Object fromNative​(java.lang.Object nativeValue,
                                       FromNativeContext context)

Description copied from interface: `NativeMapped`
Convert the given native object into its Java representation using the given context.

Specified by:
  `fromNative` in interface `NativeMapped`
Overrides:
  `fromNative` in class `X11.XID`
Parameters:
  `nativeValue` - Java representation of the native type to be converted.
  `context` - Context in which the conversion is taking place.
Returns:
  Converted object.